package rip.tilly.bedwars.managers;

import rip.tilly.bedwars.BedWars;
import rip.tilly.bedwars.commands.level.LevelCommand;
import rip.tilly.bedwars.commands.party.PartyCommand;
import rip.tilly.bedwars.commands.setspawn.SetSpawnCommand;
import rip.tilly.bedwars.commands.xp.XpCommand;

public class CommandManager {

    private BedWars main = BedWars.getInstance();

    public CommandManager() {
        this.registerCommands();
    }

    private void registerCommands() {
        this.main.getCommand("setspawn").setExecutor(new SetSpawnCommand());
        this.main.getCommand("level").setExecutor(new LevelCommand());
        this.main.getCommand("xp").setExecutor(new XpCommand());
        this.main.getCommand("party").setExecutor(new PartyCommand());
    }
}
